package w2phtml.rdf;

import java.io.IOException;
import java.io.OutputStream;
import java.util.Vector;

import w2phtml.api.ConverterResult;
import w2phtml.api.OutputFile;
import w2phtml.util.Misc;
import w2phtml.xhtml.XhtmlConfig;
import w2phtml.xhtml.XhtmlDocument;


public class RDFDocumentResult implements OutputFile {
	
	
	private ConverterResult xhtmlResult;
	private String sFileName;
	private XhtmlConfig config;
	private RDFDocument rdfDocument = null;
	

	public RDFDocumentResult(Vector<XhtmlDocument> outFiles,  String fileName, XhtmlConfig config) {
		this.sFileName = Misc.removeExtension(fileName);
		this.config = config;
		MetadataContainer metadata = new MetadataContainer();
		metadata.read(config.getCSVMetadataFile());
		rdfDocument = new RDFDocument(outFiles,sFileName,config,metadata);
	}
	
	
	@Override public String getFileName() {
		return sFileName+".rdf";
	}

	@Override public String getMIMEType() {
		return "rdf";
	}

	@Override public boolean isMasterDocument() {
		return true;
	}
	
	@Override public boolean containsMath() {
		return false;
	}

	@Override public void write(OutputStream os) throws IOException {		
		rdfDocument.printModel(os);
		
	}
}
